Greatest Deviation widget in Analytics crashes with Firefox

Document ID : KB000085031
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Error Message :
Warning: Unresponsive Script

In Firefox, the 'Greatest Deviation' widget causes a high load on the Client system.  Also, the Firefox script engine attempts to stop the script from running.

There are no backend log entries, but you will see messages similar to this:
English Translation: 
Warning: Unresponsive Script
A script on this page may be busy or no longer responds.  You can stop the script now, open it in debug, or continue to run it.
0EMb0000001Us4z.png 

After this change, the widget only shows the 30 highest and 30 lowest deviation values.

The issue was caused by too many data points in the chart, resulting in performance issues in the user interface.

The result is now limited, only showing the 30 highest and 30 lowest deviation values. If the limit is reached, a warning is displayed at the bottom of the widget.


The user can then further filter down into the data.

 
Environment:
OS Version: N/A
Cause:
Cause type:
Other
Root Cause: N/A
Resolution:
Update to a fix version listed below or a newer version if available.

Fix Status: In Progress

Fix Version(s):
Analytics On Premise 1.1.0 – Planned release date: 2017-09-29
Additional Information:
Workaround :
N/A
File Attachments:
image2017-4-3 14-41-31.png